# Generated by Django 3.1.6 on 2021-03-30 07:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Category name', max_length=100, unique=True)),
                ('position', models.IntegerField(help_text='Position in FAQ page')),
            ],
        ),
        migrations.CreateModel(
            name='question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.CharField(help_text='Question', max_length=100)),
                ('response', models.JSONField(help_text='Response')),
                ('position', models.IntegerField(help_text='Position in the category')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='faq.category')),
            ],
        ),
    ]
